Bug 6005 - Transit slips cause Firefox 4 to display "prevent this page from opening additional dialogs"
Summary: Transit slips cause Firefox 4 to display "prevent this page from opening addi...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Liz Rea
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-30 14:14 UTC by Liz Rea
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.09 KB, application/octet-stream)
2011-03-30 14:18 UTC, Liz Rea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-03-30 14:14:48 UTC
Printing a transit slip in FF4 causes a dialog "Prevent this page from opening additional dialogs" to appear (and prevents one-click print/close).

There are two instances of window.print() in the template, which is likely causing this issue.
Comment 1 Liz Rea 2011-03-30 14:18:47 UTC
Created attachment 3526 [details]
Proposed patch
Comment 2 Chris Cormack 2011-03-31 08:58:12 UTC
Patch pushed, please test